__gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >(3cxx)

NAME
__gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type > - Conditional destructor.

SYNOPSIS

#include <ov_tree_map_.hpp>

  Public Member Functions

cond_dtor (value_vector a_vec, iterator &r_last_it, Size_Type total_size)
void set_no_action ()

  Protected Attributes

value_vector m_a_vec
const Size_Type m_max_size
bool m_no_action
iterator & m_r_last_it

Detailed Description

  template<typename Key, typename Mapped, typename Cmp_Fn, typename Node_And_It_Traits, typename _Alloc>
template<typename Size_Type>
class __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >"Conditional destructor.

Definition at line 182 of file ov_tree_map_.hpp.

Constructor & Destructor Documentation

  template<typename Key , typename Mapped , typename Cmp_Fn , typename Node_And_It_Traits , typename _Alloc > template<typename Size_Type > __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >::cond_dtor (value_vector a_vec, iterator & r_last_it, Size_Type total_size) [inline]

Definition at line 185 of file ov_tree_map_.hpp.

  template<typename Key , typename Mapped , typename Cmp_Fn , typename Node_And_It_Traits , typename _Alloc > template<typename Size_Type > __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >::~cond_dtor () [inline]

Definition at line 191 of file ov_tree_map_.hpp.

Member Function Documentation

  template<typename Key , typename Mapped , typename Cmp_Fn , typename Node_And_It_Traits , typename _Alloc > template<typename Size_Type > void __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >::set_no_action () [inline]

Definition at line 207 of file ov_tree_map_.hpp.

Member Data Documentation

  template<typename Key , typename Mapped , typename Cmp_Fn , typename Node_And_It_Traits , typename _Alloc > template<typename Size_Type > value_vector __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >::m_a_vec [protected]

Definition at line 211 of file ov_tree_map_.hpp.

  template<typename Key , typename Mapped , typename Cmp_Fn , typename Node_And_It_Traits , typename _Alloc > template<typename Size_Type > const Size_Type __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >::m_max_size [protected]

Definition at line 213 of file ov_tree_map_.hpp.

  template<typename Key , typename Mapped , typename Cmp_Fn , typename Node_And_It_Traits , typename _Alloc > template<typename Size_Type > bool __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >::m_no_action [protected]

Definition at line 214 of file ov_tree_map_.hpp.

  template<typename Key , typename Mapped , typename Cmp_Fn , typename Node_And_It_Traits , typename _Alloc > template<typename Size_Type > iterator& __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >::m_r_last_it [protected]

Definition at line 212 of file ov_tree_map_.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.